# Data Object - ConverterParamsAgentCloningParams

Parameter to
  ConverterAgentClone_Task, ConverterAgentCustomize_Task, ConverterAgentReconfig_Task
Extends
  DynamicData
See also
  ConverterComputerHardwareInfo, ConverterComputerSpec, ConverterHelperVmNetworkParams, ConverterParamsStorageMapping, ConverterThrottlingParams
Since
  Converter API 2.0

## Data Object Description

Properties

Name | Type | Description
--- | --- | ---
cloningMode | xsd:string | Specifies the cloning mode. It must be from the CloningMode
doPersistNextBitmapId* | xsd:boolean | Only applicable to block-level live P2V, incremental jobs. If set to True, instructs the bitmap driver to persist the bitmap id. The default is False. Since Converter API 3.0
doReconfig* | xsd:boolean | Whether to do reconfig as part of clone. Currently used by Linux P2V only. If set as true, reconfig needs to be done as part of clone.
helperVmNetworkParams* | ConverterHelperVmNetworkParams | For Linux P2V only; specifies IP network configuration for the Helper VM.
nextBitmapId* | xsd:string | Only applicable to block-level live P2V. ID of the write tracking bitmap which will be used to track writes since the beginning of the current iteration to know which blocks have changed during the next iteration. If not specified, writes will not be tracked.
optimizedPartitionAlignment* | xsd:boolean | For volume-based cloning specifies whehter "standard" or "optimized" partition layout should be created on the target. In standard mode the partitions are aligned on cylinder/track boundaries: 1. Create primary partitions and/or ONE extended partition as they exist. 2. All partitions and volumes end at cylinder boundaries. 3. All partitions start either at a cylinder boundary or at the second track after a cylinder boundary. 4. All logical volumes start at the second track of the containing extended partition. In optimized mode all partition start and end sectors are aligned on 1 MB (for Windows guests) or 64 KB (for non-Windows guests) boundaries ignoring the actual disk geometry. For disk-based cloning this option is ignored. Since Converter API 3.0
prevBitmapIds* | xsd:string[] | Only applicable to block-level live P2V. ID(s) of write tracking bitmaps which have been tracking changes since the last cloning iteration.
servicesToSuspend* | xsd:string[] | Only applicable to live P2V. List of services to suspend before starting the cloning iteration. The array should contain values returned in serviceName
skipCopyingRestoreCheckpointData* | xsd:boolean | Specifies whether to copy the data in the System Restore checkpoint files. Important: This flag can only be set when the following flag is enabled: canRemoveRestoreCheckpoints. Important: This flag will only be true when the following flag is true: removeRestoreCheckpoints. Defaults to true, so if unset then System Restore checkpoint file data will not be copied.
skipUnwantedFiles* | xsd:boolean | For volume-based cloning mode, specifies whether or not to skip "useless" system files such as pagefile.sys and hiberfil.sys. Important: This flag can only be set when the following flag is enabled: canSkipUnwantedFiles Ignored for disk-based mode The default is true.
snapshotSource* | xsd:boolean | Only applicable to block-level live P2V. If True, create snapshot of the source file systems before cloning. If False, clone using "raw" live source volumes. The default is True.
source | ConverterComputerSpec | Specifies source to clone from.
storageMapping | ConverterParamsStorageMapping | Map source disks and volumes into the target's disks and volumes.
targetHardwareInfo | ConverterComputerHardwareInfo | ComptuerHardwareInfo of the target VM.
throttlingParams* | ConverterThrottlingParams | Specifies the throttling options (currently CPU and network) to use for cloning.
useProxyMode* | xsd:boolean | Used only for Windows P2V/Hyper-V conversions that establish direct connection from the source to the destination ESX server. If set to 'true' the traffic is redirected to Converter Worker process which in turn forwards it to the destination ESX server. If set to 'false' or unset, the agent on the source is establishing direct connection to the destination ESX server. Default value: false Since Converter API 6.0
Properties inherited from DynamicData
None

*Need not be set